/** @file
 * $Source: /afs/ba.infn.it/user/pamela/src/CVS/yoda/event/AlgorithmInfo.h,v $
 * $Id: AlgorithmInfo.h,v 6.0 2006/02/07 17:11:06 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the default functions of the Algorithm class.
 */
#ifndef ALGORITHM_INFO_H
#define ALGORITHM_INFO_H

//#include "root/TObject.h"
//#include "root/TString.h"
#include <TObject.h> //Substituted by Maurizio 05 Feb 2004
#include <TString.h>//Substituted by Maurizio 05 Feb 2004

#include "Algorithm.h"

namespace pamela {
  /**
   * Information about an algorithm: Name, base class, version info etc.
   * In future, this will also store all parameters that are connected
   * to the algorithm instance.
   */
  class AlgorithmInfo: public TObject {
  private:
    TString AlgorithmName;
    TString AlgorithmClass;
    TString VersionInfo;
  public:
    AlgorithmInfo(void);
    AlgorithmInfo(const Algorithm*);
    virtual ~AlgorithmInfo(void);
    ClassDef(AlgorithmInfo, 1)
  };
}

#endif /* ALGORITHM_INFO_H */
